// Copyright Varjo Technologies Oy. All Rights Reserved.

#pragma once

#include "Varjo.h"
#include "VarjoEyeTrackerTypes.h"

DECLARE_LOG_CATEGORY_EXTERN(LogVarjoGaze, Log, All)

class IVarjoVREyeTracker
{
public:
	virtual const FVarjoEyeTrackingData& GetEyeTrackingData() = 0;
	virtual EVarjoEyeTrackingStatus GetEyeTrackingStatus() = 0;

	virtual bool getGazeArray(TArray<varjo_Gaze>& gazeData) = 0;
	virtual const FVector GetFixationPoint() = 0;

	virtual bool getEyeTrackingData(TArray<FVarjoEyeTrackingData>& trackingData) = 0;
	virtual void getRay(FVector& start, FVector& direction, float& focusDistance) = 0;

	virtual void requestGazeCalibration() = 0;
	virtual bool Init() = 0;

	virtual EVarjoEyeTrackingCalibrationStatus GetCalibrationStatus() = 0;
	virtual void SetActivePlayerController(APlayerController* NewActivePlayerController) = 0;
	virtual void EnableDebugView(bool enable) = 0;
};
