// Copyright Varjo Technologies Oy. All Rights Reserved.

using UnrealBuildTool;

public class VarjoVRController : ModuleRules
{
	public VarjoVRController(ReadOnlyTargetRules Target) : base(Target)
	{
		PrivateIncludePathModuleNames.AddRange(new string[]
		{
			"TargetPlatform",
			"VarjoHMD"
		});

		PrivateDependencyModuleNames.AddRange(new string[]
		{
			"Core",
			"CoreUObject",
			"ApplicationCore",
			"Engine",
			"InputDevice",
			"InputCore",
			"HeadMountedDisplay",
			"VarjoHMD"
		});

		AddEngineThirdPartyPrivateStaticDependencies(Target, "OpenVR");

		if ( Target.Platform == UnrealTargetPlatform.Win64 || Target.Platform == UnrealTargetPlatform.Win32 || (Target.Platform == UnrealTargetPlatform.Linux && Target.Architecture.StartsWith("x86_64")) )
		{
			AddEngineThirdPartyPrivateStaticDependencies(Target, "OpenGL");
			PrivateDependencyModuleNames.Add("OpenGLDrv");
		}
	}
}
